/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.html.preview.model.impl;

import aQute.bnd.annotation.ProviderType;

import com.liferay.html.preview.model.HtmlPreviewEntry;
import com.liferay.html.preview.service.HtmlPreviewEntryLocalServiceUtil;

/**
 * The extended model base implementation for the HtmlPreviewEntry service. Represents a row in the &quot;HtmlPreviewEntry&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link HtmlPreviewEntryImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see HtmlPreviewEntryImpl
 * @see HtmlPreviewEntry
 * @generated
 */
@ProviderType
public abstract class HtmlPreviewEntryBaseImpl extends HtmlPreviewEntryModelImpl
	implements HtmlPreviewEntry {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this class directly. All methods that expect a html preview entry model instance should use the {@link HtmlPreviewEntry} interface instead.
	 */
	@Override
	public void persist() {
		if (this.isNew()) {
			HtmlPreviewEntryLocalServiceUtil.addHtmlPreviewEntry(this);
		}
		else {
			HtmlPreviewEntryLocalServiceUtil.updateHtmlPreviewEntry(this);
		}
	}
}